<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Condicionales</title>
</head>

<body>

    <h1>Estructuras de control</h1>

    <script>

        var numero1 = 15;
        var numero2 = 7;
        var numero3 = 5;
        var numero4 = 2;

        if(numero1 > numero2) {
            console.log(`La variable ${numero1} es mayor a ${numero2}`);
            console.log('La variable ' + numero1 + ' es mayor a ' + numero2);
        } 
        
        else { 
            console.log(`La variable ${numero1} es menor o igual a ${numero2}`);
        }

        if( (numero2 > numero3) && (numero2 > numero4) ) {
            console.log(`El numero 2 es mayor que el 3 y 4`)
        } 
        
        else {
            console.log(`El numero 2 es menor que el 3 o el 4`)
        }

        if(numero1 < numero4 || numero1 < numero2) {
            console.log(`El numero1 es menor que todos`);
        }

        switch (numero4) {

            case 1:
                console.log('Estas en la opcion 1');
                break;

            case 2: 
                console.log('Opcion 2');
                break;

            case 3:
                console.log('Opcion 3');
                break;

            default:
                console.log('Opcion incorrecta');
                break;
        }
        
        var nombre = "Mauricio"

        switch (nombre) {
            case "Mauricio":
                console.log('Bienvenido usuario test');
                break;
            
            case "Maria Fernanda":
                console.log('Bienvenida administradora');
                break
        
            default:
                console.log('Bienvenido invitado');
                break;
        }

        var resultado = (numero3 > numero4) ? "Es verdadero" : "Es falso";
        console.log(resultado);

        var indice = 0;

    while (indice < autos.length) {
        //Imprime uno a uno todos los autos
        // Estamos haciendo lo mismo que con el for
        console.log(autos[indice]);
        indice++;
}



 
        

    </script>

</body>

</html>